qgis crashes when "zooming out"
Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11661

Description

I have a project with reprojection active. If I "zoom out" enough I can make qgis crash. The bug is reproducible on my machine.

The following error messages are left in the console:

Warning: Throwing exception /home/steko/code/qgis_unstable/src/core/qgscoordinatetransform.cpp503

Warning: Throwing exception /home/steko/code/qgis_unstable/src/core/qgscoordinatetransform.cpp226

Warning: Throwing exception /home/steko/code/qgis_unstable/src/core/qgscoordinatetransform.cpp246

Warning: Transform error caught in /home/steko/code/qgis_unstable/src/core/qgsmaprenderer.cpp, line 543

Warning: 1

Warning: before sorting

Warning: 1.000000

Warning: after sorting

Warning: 1.000000

Fatal: ASSERT: "std::abs( r_d ) > SMALL_NUM && std::abs( r_n ) > SMALL_NUM" in file

/home/steko/code/qgis_unstable/src/core/qgsclipper.h, line 270

Abortito

History

#1 - 2009-04-19 10:59 AM - Paolo Cavallini

Can you please provide more details? Does this happen with every layer, or just one? Raster or vector? Any projection, or a specific one? Please try to

simplify your project as much as possible while still getting the crash, so it will be easier to reproduce it (currently I can't). Thanks.

#2 - 2009-07-13 01:35 AM - Giovanni Manghi

Not reproducible here with qgis 1.2 from trunk under Ubuntu 9.04, not even hitting very fast on the "zoom out" button or the mouse wheel.

Please give it a try again and report back.

#3 - 2009-07-17 06:23 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed
Tested again on qgis 1.1 and seems to work fine. Closing, but please reopen if necessary.

Files
